﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Threading.Tasks;

namespace ViraScraper.Repositories
{
    public interface IRepositoryBase<T>
    {
        IQueryable<T> GetAll();
        IQueryable<T> GetAll(Expression<Func<T, bool>> expression);
        void Insert(T entity);
        void InsertS(T entity);
        void InsertRang(IEnumerable<T> entitys);
        void InsertSRang(IEnumerable<T> entitys);
        void Update(T entity);
        void Remove(T entity);
    }
}
